#ifndef MODEL_H
#define MODEL_H

#include "glm.h"

#define TIPO_OBJ 0
#define TIPO_3DS 1

class Model {

public:
	Model();
	~Model();
	static Model * readOBJ(char * filename);
	//static Model * read3DS(char * filename);
	void setMode(GLuint mode);
	void draw();
	void unitize();
	void trasladarOrigen(double x, double y, double z);
private:
	//int tipo;
	GLMmodel * model;
	///Model_3DS m;
	GLuint displayList;
};

#endif
